org.apache.maven.artifact.repository

## Interface ArtifactRepositoryFactory

All Known Implementing Classes:
  DefaultArtifactRepositoryFactory

    public interface ArtifactRepositoryFactory

Author:
  jdcasey

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`ArtifactRepository` `createArtifactRepository(java.lang.String id, java.lang.String url, ArtifactRepositoryLayout repositoryLayout, ArtifactRepositoryPolicy snapshots, ArtifactRepositoryPolicy releases)`
`ArtifactRepository` `createDeploymentArtifactRepository(java.lang.String id, java.lang.String url, ArtifactRepositoryLayout layout, boolean uniqueVersion)`
`void` `setGlobalChecksumPolicy(java.lang.String checksumPolicy)`
`void` `setGlobalUpdatePolicy(java.lang.String snapshotPolicy)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### createDeploymentArtifactRepository

    ArtifactRepository createDeploymentArtifactRepository(java.lang.String id,
                                                        java.lang.String url,
                                                        ArtifactRepositoryLayout layout,
                                                        boolean uniqueVersion)

#### createArtifactRepository

    ArtifactRepository createArtifactRepository(java.lang.String id,
                                              java.lang.String url,
                                              ArtifactRepositoryLayout repositoryLayout,
                                              ArtifactRepositoryPolicy snapshots,
                                              ArtifactRepositoryPolicy releases)

#### setGlobalUpdatePolicy

    void setGlobalUpdatePolicy(java.lang.String snapshotPolicy)

#### setGlobalChecksumPolicy

    void setGlobalChecksumPolicy(java.lang.String checksumPolicy)